Bug 964652 - SELinux is preventing wine-preloader from 'mmap_zero' accesses on the memprotect .
SELinux is preventing wine-preloader from 'mmap_zero' accesses on the memprot...
Status: CLOSED DUPLICATE of bug 882623
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:a39935949b5a137b9a65999862d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 08:07 EDT by vinesh teotia
Modified: 2013-06-07 11:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 11:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vinesh teotia 2013-05-19 08:07:41 EDT
Description of problem:
SELinux is preventing wine-preloader from 'mmap_zero' accesses on the memprotect .

*****  Plugin mmap_zero (53.1 confidence) suggests  **************************

If you do not think wine-preloader should need to mmap low memory in the kernel.
Then you may be under attack by a hacker, this is a very dangerous access.
Do
contact your security administrator and report this issue.

*****  Plugin catchall_boolean (42.6 confidence) suggests  *******************

If you want to control the ability to mmap a low area of the address space, as configured by /proc/sys/kernel/mmap_min_addr.
Then you must tell SELinux about this by enabling the 'mmap_low_allowed' boolean.
You can read 'initrc_selinux' man page for more details.
Do
setsebool -P mmap_low_allowed 1

*****  Plugin catchall (5.76 confidence) suggests  ***************************

If you believe that wine-preloader should be allowed mmap_zero access on the  memprotect by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep wine-preloader /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:initrc_t:s0
Target Context                system_u:system_r:initrc_t:s0
Target Objects                 [ memprotect ]
Source                        wine-preloader
Source Path                   wine-preloader
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-44.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.2-301.fc19.x86_64 #1 SMP Mon
                              May 13 12:36:24 UTC 2013 x86_64 x86_64
Alert Count                   44
First Seen                    2013-05-10 11:47:06 IST
Last Seen                     2013-05-19 17:35:42 IST
Local ID                      dffa7fba-9c70-4f78-b3cc-d8668cb5fe61

Raw Audit Messages
type=AVC msg=audit(1368965142.977:411): avc:  denied  { mmap_zero } for  pid=1460 comm="wine-preloader" scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:system_r:initrc_t:s0 tclass=memprotect


Hash: wine-preloader,initrc_t,initrc_t,memprotect,mmap_zero

audit2allow

#============= initrc_t ==============

#!!!! This avc can be allowed using the boolean 'mmap_low_allowed'
allow initrc_t self:memprotect mmap_zero;

audit2allow -RYou must regenerate interface info by running /usr/bin/sepolgen-ifgen


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.2-301.fc19.x86_64
type:           libreport

Potential duplicate: bug 912175
Comment 1 Daniel Walsh 2013-05-22 14:42:38 EDT
The alert tells you what to do.  

Are you running a wine app as an init daemon?
Comment 2 Eric Paris 2013-06-07 11:08:14 EDT
application is the wine-preloader

*** This bug has been marked as a duplicate of bug 882623 ***

Note You need to log in before you can comment on or make changes to this bug.